<?php
/**
 * Accordion for accordion element.
 *
 * @package Elements.
 */

if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}

if ( ! function_exists( 'cheshalo_get_vc_map_accordion' ) ) {
	/**
	 * Displays the shortcode settings fields in the admin.
	 */
	function cheshalo_get_vc_map_accordion() {
		$secondary_font = cheshalo_get_opt( 'secondary-font' );
		$primary_font   = cheshalo_get_opt( 'primary-font' );
		$text_font      = cheshalo_get_opt( 'text-font' );

		$secondary_font_title = isset( $secondary_font[0] ) ? esc_html__( 'Secondary font', 'cheshalo' ) . ' (' . $secondary_font[0]['font-family'] . ')' : esc_html__( 'Secondary font', 'cheshalo' );
		$text_font_title      = isset( $text_font[0] ) ? esc_html__( 'Text font', 'cheshalo' ) . ' (' . $text_font[0]['font-family'] . ')' : esc_html__( 'Text', 'cheshalo' );
		$primary_font_title   = isset( $primary_font[0] ) ? esc_html__( 'Title font', 'cheshalo' ) . ' (' . $primary_font[0]['font-family'] . ')' : esc_html__( 'Title font', 'cheshalo' );

		return array(
				'base'            => 'cheshalo_accordion',
				'name'            => esc_html__( 'Accordion', 'cheshalo' ),
				'description'     => esc_html__( 'Tabbed content', 'cheshalo' ),
				'category'        => function_exists( 'cheshalo_get_tab_title_category_for_wpb' ) ? cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Theme elements', 'cheshalo' ) ) : esc_html__( 'Theme elements', 'cheshalo' ),
				'icon'            => CHESHALO_ASSETS . '/images/vc-icon/accordion.svg',
				'as_parent'       => array( 'only' => 'cheshalo_accordion_item' ),
				'content_element' => true,
				'js_view'         => 'VcColumnView',
				'default_content' => '[cheshalo_accordion_item title="Accordion title"]Ac non ac hac ullamcorper rhoncus velit maecenas convallis torquent elit accumsan eu est pulvinar pretium congue a vestibulum suspendisse scelerisque condimentum parturient quam.Aliquet faucibus condimentum amet nam a nascetur suspendisse habitant a mollis senectus suscipit a vestibulum primis molestie parturient aptent nisi aenean.A scelerisque quam consectetur condimentum risus lobortis cum dignissim mi fusce primis rhoncus a rhoncus bibendum parturient condimentum odio a justo a et mollis pulvinar venenatis metus sodales elementum.Parturient ullamcorper natoque mi sagittis a nibh nisi a suspendisse a.[/cheshalo_accordion_item][cheshalo_accordion_item title="Accordion title"]Ac non ac hac ullamcorper rhoncus velit maecenas convallis torquent elit accumsan eu est pulvinar pretium congue a vestibulum suspendisse scelerisque condimentum parturient quam.Aliquet faucibus condimentum amet nam a nascetur suspendisse habitant a mollis senectus suscipit a vestibulum primis molestie parturient aptent nisi aenean.A scelerisque quam consectetur condimentum risus lobortis cum dignissim mi fusce primis rhoncus a rhoncus bibendum parturient condimentum odio a justo a et mollis pulvinar venenatis metus sodales elementum.Parturient ullamcorper natoque mi sagittis a nibh nisi a suspendisse a.[/cheshalo_accordion_item][cheshalo_accordion_item title="Accordion title"]Ac non ac hac ullamcorper rhoncus velit maecenas convallis torquent elit accumsan eu est pulvinar pretium congue a vestibulum suspendisse scelerisque condimentum parturient quam.Aliquet faucibus condimentum amet nam a nascetur suspendisse habitant a mollis senectus suscipit a vestibulum primis molestie parturient aptent nisi aenean.A scelerisque quam consectetur condimentum risus lobortis cum dignissim mi fusce primis rhoncus a rhoncus bibendum parturient condimentum odio a justo a et mollis pulvinar venenatis metus sodales elementum.Parturient ullamcorper natoque mi sagittis a nibh nisi a suspendisse a.[/cheshalo_accordion_item]',
				'params'          => array(
					/**
					 * General Settings.
					 */
					array(
						'param_name' => 'cheshalo_css_id',
						'type'       => 'cheshalo_css_id',
						'group'      => esc_html__( 'Title', 'cheshalo' ),
					),
					array(
						'param_name' => 'accordion_general_divider',
						'type'       => 'cheshalo_title_divider',
						'title'      => esc_html__( 'Style', 'cheshalo' ),
						'group'      => esc_html__( 'Title', 'cheshalo' ),
						'holder'     => 'div',
					),
					array(
						'param_name'       => 'style',
						'type'             => 'dropdown',
						'heading'          => esc_html__( 'Style', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'value'            => array(
							esc_html__( 'Default', 'cheshalo' )  => 'default',
							esc_html__( 'Shadow', 'cheshalo' )   => 'shadow',
							esc_html__( 'Simple', 'cheshalo' )   => 'simple',
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'state',
						'type'             => 'dropdown',
						'heading'          => esc_html__( 'Items state', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'value'            => array(
							esc_html__( 'First opened', 'cheshalo' ) => 'first',
							esc_html__( 'All closed', 'cheshalo' ) => 'all_closed',
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'type'             => 'wd_box_shadow',
						'param_name'       => 'box_shadow',
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'heading'          => esc_html__( 'Box shadow', 'cheshalo' ),
						'selectors'        => array(
							'{{WRAPPER}}.wd-style-shadow .wd-accordion-item' => array(
								'box-shadow: {{HORIZONTAL}}px {{VERTICAL}}px {{BLUR}}px {{SPREAD}}px {{COLOR}};',
							),
						),
						'edit_field_class' => 'vc_col-sm-12 vc_column',
						'dependency'       => array(
							'element' => 'style',
							'value'   => array( 'shadow' ),
						),
						'default'          => array(
							'horizontal' => '0',
							'vertical'   => '0',
							'blur'       => '9',
							'spread'     => '0',
							'color'      => 'rgba(0, 0, 0, .15)',
						),
					),
					array(
						'param_name'       => 'title_text_alignment',
						'type'             => 'cheshalo_image_select',
						'heading'          => esc_html__( 'Alignment', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'value'            => array(
							esc_html__( 'Left', 'cheshalo' ) => 'left',
							esc_html__( 'Right', 'cheshalo' ) => 'right',
						),
						'images_value'     => array(
							'left'  => CHESHALO_ASSETS_IMAGES . '/settings/align/left.jpg',
							'right' => CHESHALO_ASSETS_IMAGES . '/settings/align/right.jpg',
						),
						'std'              => 'left',
						'wood_tooltip'     => true,
						'edit_field_class' => 'vc_col-sm-6 vc_column title-align',
					),
					array(
						'heading'          => esc_html__( 'Hide top & bottom border', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'type'             => 'cheshalo_switch',
						'param_name'       => 'hide_top_bottom_border',
						'true_state'       => 'yes',
						'false_state'      => 'no',
						'default'          => 'no',
						'dependency'       => array(
							'element' => 'style',
							'value'   => array( 'default' ),
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					/**
					 * Title Settings.
					 */
					array(
						'param_name' => 'accordion_typography_divider',
						'type'       => 'cheshalo_title_divider',
						'title'      => esc_html__( 'Typography', 'cheshalo' ),
						'group'      => esc_html__( 'Title', 'cheshalo' ),
						'holder'     => 'div',
					),
					array(
						'param_name'       => 'title_font_family',
						'type'             => 'dropdown',
						'heading'          => esc_html__( 'Font family', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'value'            => array(
							$primary_font_title   => 'primary',
							$text_font_title      => 'text',
							$secondary_font_title => 'alt',
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'title_font_size',
						'type'             => 'dropdown',
						'heading'          => esc_html__( 'Predefined size', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'value'            => array(
							esc_html__( 'Small (16px)', 'cheshalo' ) => 's',
							esc_html__( 'Extra Small (14px)', 'cheshalo' ) => 'xs',
							esc_html__( 'Medium (18px)', 'cheshalo' ) => 'm',
							esc_html__( 'Large (22px)', 'cheshalo' ) => 'l',
							esc_html__( 'Extra Large (26px)', 'cheshalo' ) => 'xl',
							esc_html__( 'Custom', 'cheshalo' ) => 'custom',
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'title_custom_font_size',
						'type'             => 'cheshalo_responsive_size',
						'heading'          => esc_html__( 'Custom font size', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'css_args'         => array(
							'font-size' => array(
								' .wd-fontsize-custom',
							),
						),
						'dependency'       => array(
							'element' => 'title_font_size',
							'value'   => array( 'custom' ),
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'title_line_height',
						'type'             => 'cheshalo_responsive_size',
						'heading'          => esc_html__( 'Custom line height', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'css_args'         => array(
							'line-height' => array(
								' .wd-fontsize-custom',
							),
						),
						'dependency'       => array(
							'element' => 'title_font_size',
							'value'   => array( 'custom' ),
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'title_font_weight',
						'type'             => 'dropdown',
						'heading'          => esc_html__( 'Font weight', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'value'            => array(
							esc_html__( 'Inherit', 'cheshalo' ) => '',
							esc_html__( 'Ultra-Light 100', 'cheshalo' ) => 100,
							esc_html__( 'Light 200', 'cheshalo' ) => 200,
							esc_html__( 'Book 300', 'cheshalo' ) => 300,
							esc_html__( 'Normal 400', 'cheshalo' ) => 400,
							esc_html__( 'Medium 500', 'cheshalo' ) => 500,
							esc_html__( 'Semi-Bold 600', 'cheshalo' ) => 600,
							esc_html__( 'Bold 700', 'cheshalo' ) => 700,
							esc_html__( 'Extra-Bold 800', 'cheshalo' ) => 800,
							esc_html__( 'Ultra-Bold 900', 'cheshalo' ) => 900,
						),
						'std'              => 600,
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'title_text_color_scheme',
						'type'             => 'cheshalo_dropdown',
						'heading'          => esc_html__( 'Color scheme', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'value'            => array(
							esc_html__( 'Inherit', 'cheshalo' ) => 'inherit',
							esc_html__( 'Dark', 'cheshalo' ) => 'dark',
							esc_html__( 'Light', 'cheshalo' ) => 'light',
							esc_html__( 'Custom', 'cheshalo' ) => 'custom',
						),
						'style'            => array(
							'dark' => '#2d2a2a',
						),
						'std'              => 'inherit',
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'custom_title_text_color',
						'type'             => 'cheshalo_colorpicker',
						'heading'          => esc_html__( 'Text color', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'css_args'         => array(
							'color' => array(
								' .wd-accordion-title-text',
							),
						),
						'dependency'       => array(
							'element' => 'title_text_color_scheme',
							'value'   => array( 'custom' ),
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'custom_title_text_hover_color',
						'type'             => 'cheshalo_colorpicker',
						'heading'          => esc_html__( 'Text hover color', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'css_args'         => array(
							'color' => array(
								' .wd-accordion-title-text:hover',
							),
						),
						'dependency'       => array(
							'element' => 'title_text_color_scheme',
							'value'   => array( 'custom' ),
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'custom_title_text_active_color',
						'type'             => 'cheshalo_colorpicker',
						'heading'          => esc_html__( 'Text active color', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'css_args'         => array(
							'color' => array(
								'.wd-accordion:not(.wd-inited) .wd-accordion-item:first-child .wd-accordion-title-text',
								' .wd-accordion-title.wd-active .wd-accordion-title-text',
							),
						),
						'dependency'       => array(
							'element' => 'title_text_color_scheme',
							'value'   => array( 'custom' ),
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					/**
					 * Opener.
					 */
					array(
						'param_name' => 'accordion_opener_divider',
						'type'       => 'cheshalo_title_divider',
						'title'      => esc_html__( 'Opener', 'cheshalo' ),
						'group'      => esc_html__( 'Title', 'cheshalo' ),
						'holder'     => 'div',
					),
					array(
						'param_name'       => 'opener_style',
						'type'             => 'dropdown',
						'heading'          => esc_html__( 'Style', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'value'            => array(
							esc_html__( 'Arrow', 'cheshalo' ) => 'arrow',
							esc_html__( 'Plus', 'cheshalo' ) => 'plus',
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'opener_alignment',
						'type'             => 'cheshalo_image_select',
						'heading'          => esc_html__( 'Alignment', 'cheshalo' ),
						'group'            => esc_html__( 'Title', 'cheshalo' ),
						'value'            => array(
							esc_html__( 'Left', 'cheshalo' ) => 'left',
							esc_html__( 'Right', 'cheshalo' ) => 'right',
						),
						'images_value'     => array(
							'left'  => CHESHALO_ASSETS_IMAGES . '/settings/align/left.jpg',
							'right' => CHESHALO_ASSETS_IMAGES . '/settings/align/right.jpg',
						),
						'std'              => 'left',
						'wood_tooltip'     => true,
						'edit_field_class' => 'vc_col-sm-6 vc_column title-align',
					),
					/**
					 * Content Settings.
					 */
					array(
						'param_name' => 'content_typography_divider',
						'type'       => 'cheshalo_title_divider',
						'title'      => esc_html__( 'Typography', 'cheshalo' ),
						'group'      => esc_html__( 'Content', 'cheshalo' ),
						'holder'     => 'div',
					),
					array(
						'param_name'       => 'content_font_family',
						'type'             => 'dropdown',
						'heading'          => esc_html__( 'Font family', 'cheshalo' ),
						'group'            => esc_html__( 'Content', 'cheshalo' ),
						'value'            => array(
							esc_html__( 'Inherit', 'cheshalo' ) => '',
							$primary_font_title   => 'primary',
							$text_font_title      => 'text',
							$secondary_font_title => 'alt',
						),
						'std'              => '',
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'content_font_size',
						'type'             => 'dropdown',
						'heading'          => esc_html__( 'Predefined size', 'cheshalo' ),
						'group'            => esc_html__( 'Content', 'cheshalo' ),
						'value'            => array(
							esc_html__( 'Inherit', 'cheshalo' ) => '',
							esc_html__( 'Small (16px)', 'cheshalo' ) => 's',
							esc_html__( 'Extra Small (14px)', 'cheshalo' ) => 'xs',
							esc_html__( 'Medium (18px)', 'cheshalo' ) => 'm',
							esc_html__( 'Large (22px)', 'cheshalo' ) => 'l',
							esc_html__( 'Extra Large (26px)', 'cheshalo' ) => 'xl',
							esc_html__( 'Custom', 'cheshalo' ) => 'custom',
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'content_custom_font_size',
						'type'             => 'cheshalo_responsive_size',
						'heading'          => esc_html__( 'Custom font size', 'cheshalo' ),
						'group'            => esc_html__( 'Content', 'cheshalo' ),
						'css_args'         => array(
							'font-size' => array(
								' .wd-fontsize-custom',
							),
						),
						'dependency'       => array(
							'element' => 'content_font_size',
							'value'   => array( 'custom' ),
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'content_line_height',
						'type'             => 'cheshalo_responsive_size',
						'heading'          => esc_html__( 'Custom line height', 'cheshalo' ),
						'group'            => esc_html__( 'Content', 'cheshalo' ),
						'css_args'         => array(
							'line-height' => array(
								' .wd-fontsize-custom',
							),
						),
						'dependency'       => array(
							'element' => 'content_font_size',
							'value'   => array( 'custom' ),
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'content_font_weight',
						'type'             => 'dropdown',
						'heading'          => esc_html__( 'Font weight', 'cheshalo' ),
						'group'            => esc_html__( 'Content', 'cheshalo' ),
						'value'            => array(
							esc_html__( 'Inherit', 'cheshalo' ) => '',
							esc_html__( 'Ultra-Light 100', 'cheshalo' ) => 100,
							esc_html__( 'Light 200', 'cheshalo' ) => 200,
							esc_html__( 'Book 300', 'cheshalo' ) => 300,
							esc_html__( 'Normal 400', 'cheshalo' ) => 400,
							esc_html__( 'Medium 500', 'cheshalo' ) => 500,
							esc_html__( 'Semi-Bold 600', 'cheshalo' ) => 600,
							esc_html__( 'Bold 700', 'cheshalo' ) => 700,
							esc_html__( 'Extra-Bold 800', 'cheshalo' ) => 800,
							esc_html__( 'Ultra-Bold 900', 'cheshalo' ) => 900,
						),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name'       => 'content_text_color_scheme',
						'type'             => 'cheshalo_dropdown',
						'heading'          => esc_html__( 'Color scheme', 'cheshalo' ),
						'group'            => esc_html__( 'Content', 'cheshalo' ),
						'value'            => array(
							esc_html__( 'Inherit', 'cheshalo' ) => 'inherit',
							esc_html__( 'Dark', 'cheshalo' ) => 'dark',
							esc_html__( 'Light', 'cheshalo' ) => 'light',
							esc_html__( 'Custom', 'cheshalo' ) => 'custom',
						),
						'style'            => array(
							'dark' => '#2d2a2a',
						),
						'std'              => 'inherit',
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'param_name' => 'content_text_color_custom',
						'type'       => 'cheshalo_colorpicker',
						'heading'    => esc_html__( 'Custom Color', 'cheshalo' ),
						'group'      => esc_html__( 'Content', 'cheshalo' ),
						'css_args'   => array(
							'color' => array(
								' .wd-accordion-content',
							),
						),
						'dependency' => array(
							'element' => 'content_text_color_scheme',
							'value'   => array( 'custom' ),
						),
					),
					array(
						'type'       => 'css_editor',
						'heading'    => esc_html__( 'CSS box', 'cheshalo' ),
						'param_name' => 'css',
						'group'      => esc_html__( 'Design Options', 'js_composer' ),
					),
					/**
					 * Animations Settings.
					 */
					array(
						'type'             => 'dropdown',
						'heading'          => esc_html__( 'Cheshalo Animation', 'cheshalo' ),
						'hint'             => esc_html__( 'Use custom theme animations if you want to run them in the slider element.' ),
						'param_name'       => 'wd_animation',
						'group'            => esc_html__( 'Advanced', 'cheshalo' ),
						'admin_label'      => true,
						'value'            => array(
							esc_html__( 'None', 'cheshalo' )       => '',
							esc_html__( 'Slide from top', 'cheshalo' ) => 'slide-from-top',
							esc_html__( 'Slide from bottom', 'cheshalo' ) => 'slide-from-bottom',
							esc_html__( 'Slide from left', 'cheshalo' ) => 'slide-from-left',
							esc_html__( 'Slide from right', 'cheshalo' ) => 'slide-from-right',
							esc_html__( 'Slide short from left', 'cheshalo' ) => 'slide-short-from-left',
							esc_html__( 'Slide short from right', 'cheshalo' ) => 'slide-short-from-right',
							esc_html__( 'Flip X bottom', 'cheshalo' ) => 'bottom-flip-x',
							esc_html__( 'Flip X top', 'cheshalo' ) => 'top-flip-x',
							esc_html__( 'Flip Y left', 'cheshalo' ) => 'left-flip-y',
							esc_html__( 'Flip Y right', 'cheshalo' ) => 'right-flip-y',
							esc_html__( 'Zoom in', 'cheshalo' )    => 'zoom-in',
						),
						'std'              => '',
						'edit_field_class' => 'vc_col-sm-6 vc_column',
					),
					array(
						'type'             => 'textfield',
						'heading'          => esc_html__( 'Cheshalo Animation Delay (ms)', 'cheshalo' ),
						'param_name'       => 'wd_animation_delay',
						'group'            => esc_html__( 'Advanced', 'cheshalo' ),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
						'dependency'       => array(
							'element'            => 'wd_animation',
							'value_not_equal_to' => array( '' ),
						),
					),
					array(
						'type'             => 'dropdown',
						'heading'          => esc_html__( 'Cheshalo Animation duration', 'cheshalo' ),
						'param_name'       => 'wd_animation_duration',
						'group'            => esc_html__( 'Advanced', 'cheshalo' ),
						'edit_field_class' => 'vc_col-sm-6 vc_column',
						'value'            => array(
							esc_html__( 'Slow', 'cheshalo' )   => 'slow',
							esc_html__( 'Normal', 'cheshalo' ) => 'normal',
							esc_html__( 'Fast', 'cheshalo' )   => 'fast',
						),
						'dependency'       => array(
							'element'            => 'wd_animation',
							'value_not_equal_to' => array( '' ),
						),
						'std'              => 'normal',
					),

					cheshalo_get_vc_responsive_spacing_map(),

					cheshalo_get_vc_responsive_visible_map( 'responsive_tabs_hide' ),
					cheshalo_get_vc_responsive_visible_map( 'wd_hide_on_desktop' ),
					cheshalo_get_vc_responsive_visible_map( 'wd_hide_on_tablet' ),
					cheshalo_get_vc_responsive_visible_map( 'wd_hide_on_mobile' ),
				),
			);
	}
}

if ( ! function_exists( 'cheshalo_get_vc_map_accordion_item' ) ) {
	function cheshalo_get_vc_map_accordion_item() {
		return array(
			'base'            => 'cheshalo_accordion_item',
			'name'            => esc_html__( 'Accordion Item', 'cheshalo' ),
			'description'     => esc_html__( 'Add accordion item in accordion area', 'cheshalo' ),
			'category'        => function_exists( 'cheshalo_get_tab_title_category_for_wpb' ) ? cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Theme elements', 'cheshalo' ) ) : esc_html__( 'Theme elements', 'cheshalo' ),
			'icon'            => CHESHALO_ASSETS . '/images/vc-icon/accordion-item.svg',
			'as_child'        => array( 'only' => 'cheshalo_accordion' ),
			'content_element' => true,
			'params'          => array(
				/**
				 * Title.
				 */
				array(
					'param_name' => 'title',
					'type'       => 'textarea',
					'holder'     => 'div',
					'heading'    => esc_html__( 'Title', 'cheshalo' ),
				),
				/**
				 * Content.
				 */
				array(
					'param_name' => 'content_divider',
					'type'       => 'cheshalo_title_divider',
					'title'      => esc_html__( 'Content', 'cheshalo' ),
				),
				array(
					'param_name'       => 'content_type',
					'type'             => 'dropdown',
					'heading'          => esc_html__( 'Content type', 'cheshalo' ),
					'value'            => array(
						esc_html__( 'Text', 'cheshalo' ) => 'text',
						esc_html__( 'HTML Block', 'cheshalo' ) => 'html_block',
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'param_name' => 'content',
					'type'       => 'textarea_html',
					'heading'    => esc_html__( 'Content', 'cheshalo' ),
					'dependency' => array(
						'element' => 'content_type',
						'value'   => array( 'text' ),
					),
				),
				array(
					'param_name' => 'html_block_id',
					'type'       => 'cheshalo_dropdown',
					'heading'    => esc_html__( 'Select block', 'cheshalo' ),
					'callback'   => 'cheshalo_get_html_blocks_array_with_empty',
					'dependency' => array(
						'element' => 'content_type',
						'value'   => array( 'html_block' ),
					),
				),

				/**
				 * Icon.
				 */
				array(
					'param_name' => 'icon_divider',
					'type'       => 'cheshalo_title_divider',
					'title'      => esc_html__( 'Icon settings', 'cheshalo' ),
					'holder'     => 'div',
				),
				array(
					'param_name'       => 'icon_type',
					'type'             => 'dropdown',
					'heading'          => esc_html__( 'List type', 'cheshalo' ),
					'value'            => array(
						esc_html__( 'With icon', 'cheshalo' ) => 'icon',
						esc_html__( 'With image', 'cheshalo' ) => 'image',
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'param_name'       => 'image',
					'type'             => 'attach_image',
					'heading'          => esc_html__( 'Image', 'cheshalo' ),
					'value'            => '',
					'dependency'       => array(
						'element' => 'icon_type',
						'value'   => array( 'image' ),
					),
					'hint'             => esc_html__( 'Select image from media library.', 'cheshalo' ),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'param_name'       => 'image_size',
					'type'             => 'textfield',
					'heading'          => esc_html__( 'Image size', 'cheshalo' ),
					'dependency'       => array(
						'element' => 'icon_type',
						'value'   => array( 'image' ),
					),
					'hint'             => esc_html__( 'Enter image size. Example: \'thumbnail\', \'medium\', \'large\', \'full\' or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use \'thumbnail\' size.', 'cheshalo' ),
					'description'      => esc_html__( 'Example: \'thumbnail\', \'medium\', \'large\', \'full\' or enter image size in pixels: \'200x100\'.', 'cheshalo' ),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'param_name'       => 'icon_libraries',
					'type'             => 'dropdown',
					'heading'          => esc_html__( 'Icon library', 'cheshalo' ),
					'value'            => array(
						esc_html__( 'Font Awesome', 'cheshalo' ) => 'fontawesome',
						esc_html__( 'Open Iconic', 'cheshalo' )  => 'openiconic',
						esc_html__( 'Typicons', 'cheshalo' )     => 'typicons',
						esc_html__( 'Entypo', 'cheshalo' )       => 'entypo',
						esc_html__( 'Linecons', 'cheshalo' )     => 'linecons',
						esc_html__( 'Mono Social', 'cheshalo' )  => 'monosocial',
						esc_html__( 'Material', 'cheshalo' )     => 'material',
					),
					'dependency'       => array(
						'element' => 'icon_type',
						'value'   => 'icon',
					),
					'hint'             => esc_html__( 'Select icon library.', 'cheshalo' ),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'param_name' => 'icon_fontawesome',
					'type'       => 'iconpicker',
					'heading'    => esc_html__( 'Icon', 'cheshalo' ),
					'settings'   => array(
						'emptyIcon'    => true,
						'iconsPerPage' => 50,
					),
					'dependency' => array(
						'element' => 'icon_libraries',
						'value'   => 'fontawesome',
					),
					'hint'       => esc_html__( 'Select icon from library.', 'cheshalo' ),
				),
				array(
					'param_name' => 'icon_openiconic',
					'type'       => 'iconpicker',
					'heading'    => esc_html__( 'Icon', 'cheshalo' ),
					'settings'   => array(
						'emptyIcon'    => true,
						'type'         => 'openiconic',
						'iconsPerPage' => 50,
					),
					'dependency' => array(
						'element' => 'icon_libraries',
						'value'   => 'openiconic',
					),
					'hint'       => esc_html__( 'Select icon from library.', 'cheshalo' ),
				),
				array(
					'param_name' => 'icon_typicons',
					'type'       => 'iconpicker',
					'heading'    => esc_html__( 'Icon', 'cheshalo' ),
					'settings'   => array(
						'emptyIcon'    => true,
						'type'         => 'typicons',
						'iconsPerPage' => 50,
					),
					'dependency' => array(
						'element' => 'icon_libraries',
						'value'   => 'typicons',
					),
					'hint'       => esc_html__( 'Select icon from library.', 'cheshalo' ),
				),
				array(
					'param_name' => 'icon_entypo',
					'type'       => 'iconpicker',
					'heading'    => esc_html__( 'Icon', 'cheshalo' ),
					'settings'   => array(
						'emptyIcon'    => true,
						'type'         => 'entypo',
						'iconsPerPage' => 50,
					),
					'dependency' => array(
						'element' => 'icon_libraries',
						'value'   => 'entypo',
					),
				),
				array(
					'param_name' => 'icon_linecons',
					'type'       => 'iconpicker',
					'heading'    => esc_html__( 'Icon', 'cheshalo' ),
					'settings'   => array(
						'emptyIcon'    => true,
						'type'         => 'linecons',
						'iconsPerPage' => 50,
					),
					'dependency' => array(
						'element' => 'icon_libraries',
						'value'   => 'linecons',
					),
					'hint'       => esc_html__( 'Select icon from library.', 'cheshalo' ),
				),
				array(
					'param_name' => 'icon_monosocial',
					'type'       => 'iconpicker',
					'heading'    => esc_html__( 'Icon', 'cheshalo' ),
					'settings'   => array(
						'emptyIcon'    => true,
						'type'         => 'monosocial',
						'iconsPerPage' => 50,
					),
					'dependency' => array(
						'element' => 'icon_libraries',
						'value'   => 'monosocial',
					),
					'hint'       => esc_html__( 'Select icon from library.', 'cheshalo' ),
				),
				array(
					'param_name' => 'icon_material',
					'type'       => 'iconpicker',
					'heading'    => esc_html__( 'Icon', 'cheshalo' ),
					'settings'   => array(
						'emptyIcon'    => true,
						'type'         => 'material',
						'iconsPerPage' => 50,
					),
					'dependency' => array(
						'element' => 'icon_libraries',
						'value'   => 'material',
					),
					'hint'       => esc_html__( 'Select icon from library.', 'cheshalo' ),
				),
			),
		);
	}
}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	/**
	 * Create cheshalo accordion wrapper.
	 */
	class WPBakeryShortCode_cheshalo_accordion extends WPBakeryShortCodesContainer {}
}
