<?php
/**
 * Countdown shortcode.
 *
 * @package Cheshalo
 */

use XTS\Modules\Layouts\Main;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Direct access not allowed.
}

if ( ! function_exists( 'cheshalo_shortcode_single_product_countdown' ) ) {
	/**
	 * Countdown shortcode.
	 *
	 * @param array $settings Shortcode attributes.
	 */
	function cheshalo_shortcode_single_product_countdown( $settings ) {
		$default_settings = array(
			'alignment' => 'left',
			'css'       => '',
			'title'     => '',
		);

		$settings = wp_parse_args( $settings, $default_settings );

		$wrapper_classes = apply_filters( 'vc_shortcodes_css_class', '', '', $settings );

		if ( $settings['css'] ) {
			$wrapper_classes .= ' ' . vc_shortcode_custom_css_class( $settings['css'] );
		}

		$wrapper_classes .= ' text-' . cheshalo_vc_get_control_data( $settings['alignment'], 'desktop' );

		ob_start();

		Main::setup_preview();

		?>
		<div class="wd-single-countdown wd-wpb<?php echo esc_attr( $wrapper_classes ); ?>"><?php cheshalo_product_sale_countdown( $settings ); // Must be in one line. ?></div>
		<?php

		Main::restore_preview();

		return ob_get_clean();
	}
}
