<?php
/**
 * The template for displaying single project
 *
 */

get_header(); ?>

<?php 
	
	// Get content width and sidebar position
	$content_class = cheshalo_get_content_class();

?>


<div class="site-content <?php echo esc_attr( $content_class ); ?>" role="main">

		<?php /* The loop */ ?>
		<?php while ( have_posts() ) : the_post(); ?>

				<div class="portfolio-single-content">
					<?php the_content( esc_html__( 'Continue reading <span class="meta-nav">&rarr;</span>', 'cheshalo' ) ); ?>
				</div>

				<?php if ( cheshalo_get_opt( 'portfolio_navigation' ) ) cheshalo_posts_navigation(); ?>

				<?php
				$args = cheshalo_get_related_projects_args( get_the_ID() );

				$query = new WP_Query( $args );

				if ( cheshalo_get_opt( 'portfolio_related' ) ) {
					$style = cheshalo_get_opt( 'portoflio_style' );

					if ( 'parallax' === $style ) {
						cheshalo_enqueue_js_library( 'panr-parallax-bundle' );
						cheshalo_enqueue_js_script( 'portfolio-effect' );
					}

					cheshalo_enqueue_portfolio_loop_styles( $style );

					cheshalo_enqueue_js_library( 'photoswipe-bundle' );
					cheshalo_enqueue_inline_style( 'photoswipe' );
					cheshalo_enqueue_js_script( 'portfolio-photoswipe' );
					echo cheshalo_generate_posts_slider(
						array(
							'title'                   => esc_html__( 'Related projects', 'cheshalo' ),
							'slides_per_view'         => 3,
							'hide_pagination_control' => 'yes',
							'custom_sizes'            => apply_filters( 'cheshalo_portfolio_related_custom_sizes', false ),
						),
						$query
					);
				}
				?>
		<?php endwhile; ?>

</div><!-- .site-content -->


<?php get_sidebar(); ?>

<?php get_footer(); ?>